# Основные сведения

**Термины**

1. Пользователь — лицо, которое использует действующую систему для выполнения конкретной функции.
2. Мерчант — сайт Пользователя, добавленный в разделе [Мерчанты](https://cryptomo.bar/cabinet/resource/merchant-resource/merchant-index-page).
3. Инвойс — созданный Пользователем запрос на отслеживание платежа в блокчейне в рамках конкретного Мерчанта.
4. Пользователь API — лицо, которое использует API действующей системы для выполнения конкретной функции.
5. Плательщик — лицо, которое должно оплатить созданный для него Инвойс.

**Запрос**

Базовый URL: `https://cryptomo.bar/api/v1`

Тело ответа:

* `success` - флаг, в зависимости от успешности запроса - содержит true/false
* `data` - содержит результат выполнения запроса. При неудачном запросе - возвращает информацию об ошибке

Успешный запрос:

```json
{
    "success": true,
    "data": {
        "property": "value",
        "second_property": "second_value"
    }
}
```

Запросы с ошибкой:

```json
{
    "success": false,
    "data": {
        "name": "Unauthorized",
        "message" : "Your request was made with invalid credentials",
        "code": 0,
        "status": 401
    }
}
```

Данный ответ включает перечень ошибок в свойстве `errors`:

```json
{
    "success": false,
    "data": {
        "message": "Invalid request data",
        "errors": {
            "amount": [
                "Amount cannot be blank."
            ],
            "client_reference_id": [
                "Client Reference Id cannot be blank."
            ]
        }
    }
}
```

*\* Параметр `message` может быть не задан*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptomo.bar/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
